ServerEvents.recipes(event => {

    event.shaped(
            Item.of('minecraft:ominous_trial_key'),
            [
                    '   ',
                    'AAA',
                    '   '
            ],
            {
                    A: 'minecraft:trial_key'
            }
    )
    event.shaped(
            Item.of('create:iron_sheet'),
            [
                    '   ',
                    ' A ',
                    '   '
            ],
            {
                    A: 'minecraft:iron_ingot'
            }
    )
    event.shaped(
            Item.of('create:copper_sheet'),
            [
                    '   ',
                    ' A ',
                    '   '
            ],
            {
                    A: 'minecraft:copper_ingot'
            }
    )
    event.shaped(
            Item.of('create:golden_sheet'),
            [
                    '   ',
                    ' A ',
                    '   '
            ],
            {
                    A: 'minecraft:gold_ingot'
            }
    )
    event.shaped(
            Item.of('ars_nouveau:purple_archwood_sapling'),
            [
                    '   ',
                    ' A ',
                    '   '
            ],
            {
                    A: 'ars_nouveau:green_archwood_sapling'
            }
    )
    event.shaped(
            Item.of('ars_nouveau:red_archwood_sapling'),
            [
                    '   ',
                    ' A ',
                    '   '
            ],
            {
                    A: 'ars_nouveau:purple_archwood_sapling'
            }
    )
    event.shaped(
            Item.of('ars_nouveau:blue_archwood_sapling'),
            [
                    '   ',
                    ' A ',
                    '   '
            ],
            {
                    A: 'ars_nouveau:red_archwood_sapling'
            }
    )
    event.shaped(
            Item.of('ars_nouveau:fire_essence'),
            [
                    '   ',
                    'AA ',
                    '   '
            ],
            {
                    A: 'ars_nouveau:manipulation_essence'
            }
    )
    event.shaped(
            Item.of('ars_nouveau:water_essence'),
            [
                    ' A ',
                    'BAB',
                    ' A '
            ],
            {
                    B: 'ars_nouveau:conjuration_essence',
                    A: 'ars_nouveau:manipulation_essence'
            }
    )
    event.shaped(
            Item.of('ars_nouveau:earth_essence'),
            [
                    ' A ',
                    ' B ',
                    ' A '
            ],
            {
                    B: 'ars_nouveau:fire_essence',
                    A: 'ars_nouveau:manipulation_essence'
            }
    )
    event.shaped(
            Item.of('ars_nouveau:air_essence'),
            [
                    ' A ',
                    'ABA',
                    ' A '
            ],
            {
                    A: 'ars_nouveau:manipulation_essence',
                    B: 'ars_nouveau:earth_essence'
            }
    )
    event.shaped(
            Item.of('ars_nouveau:abjuration_essence'),
            [
                    'ABA',
                    'ACA',
                    'ABA'
            ],
            {
                    B: 'ars_nouveau:water_essence',
                    A: 'ars_nouveau:conjuration_essence',
                    C: 'ars_nouveau:air_essence'
            }
    )
    event.shaped(
            Item.of('ars_nouveau:conjuration_essence'),
            [
                    ' A ',
                    'AAA',
                    ' A '
            ],
            {
                    A: 'ars_nouveau:fire_essence'
            }
    )
    event.shaped(
            Item.of('minecraft:wind_charge', 16),
            [
                    ' A ',
                    'AAA',
                    ' A '
            ],
            {
                    A: 'ars_nouveau:air_essence'
            }
    )
    event.shaped(
            Item.of('ars_nouveau:manipulation_essence', 12),
            [
                    'ABC',
                    'DED',
                    'FGH'
            ],
            {
                    G: 'ars_nouveau:blue_archwood_sapling',
                    C: 'ars_nouveau:purple_archwood_log',
                    H: 'ars_nouveau:red_archwood_log',
                    A: 'ars_nouveau:blue_archwood_log',
                    D: 'ars_nouveau:archwood_planks',
                    E: 'ars_nouveau:source_gem_block',
                    F: 'ars_nouveau:green_archwood_log',
                    B: 'ars_nouveau:archwood_chest'
            }
    )
    event.shaped(
            Item.of('ars_nouveau:blank_glyph'),
            [
                    'ABC',
                    'DBD',
                    'EBF'
            ],
            {
                    E: 'minecraft:wind_charge',
                    D: 'ars_nouveau:fire_essence',
                    B: 'ars_nouveau:bastion_pod',
                    C: 'ars_nouveau:earth_essence',
                    F: 'ars_nouveau:manipulation_essence',
                    A: 'ars_nouveau:air_essence'
            }
    )
    event.shaped(
            Item.of('ironfurnaces:rainbow_coal'),
            [
                    'ABA',
                    'CDC',
                    'AEA'
            ],
            {
                    D: 'ironfurnaces:item_copy',
                    C: 'ironfurnaces:upgrade_netherite',
                    E: 'ironfurnaces:item_spooky',
                    B: 'ironfurnaces:item_xmas',
                    A: 'ironfurnaces:netherite_furnace'
            }
    )
    event.shaped(
            Item.of('create_new_age:magnetite_block', 64),
            [
                    'ABA',
                    'CDE',
                    'EFC'
            ],
            {
                    A: 'irons_spellbooks:mithril_weave',
                    C: 'irons_spellbooks:pyrium_ingot',
                    B: 'ironfurnaces:rainbow_coal',
                    F: 'irons_spellbooks:divine_soulshard',
                    D: 'irons_spellbooks:chronicle',
                    E: 'irons_spellbooks:mithril_ingot'
            }
    )
    event.shaped(
            Item.of('minecraft:light'),
            [
                    '   ',
                    ' A ',
                    '   '
            ],
            {
                    A: 'minecraft:torch'
            }
    )
    event.shaped(
            Item.of('minecraft:light', 64),
            [
                    '   ',
                    ' A ',
                    '   '
            ],
            {
                    A: 'torchmaster:megatorch'
            }
    )
    event.shaped(
            Item.of('farmersdelight:straw'),
            [
                    'AAA',
                    'AAA',
                    'AAA'
            ],
            {
                    A: 'minecraft:stick'
            }
    )
    event.shaped(
            Item.of('minecraft:debug_stick'),
            [
                    'AAA',
                    'ABA',
                    'AAA'
            ],
            {
                    B: 'crafting_on_a_stick:crafting_table',
                    A: 'farmersdelight:straw_bale'
            }
    )
    event.shaped(
            Item.of('create:andesite_casing'),
            [
                    ' A ',
                    ' B ',
                    '   '
            ],
            {
                    A: 'create:andesite_alloy',
                    B: 'minecraft:stripped_oak_log'
            }
    )
    event.shaped(
            Item.of('create:brass_casing'),
            [
                    '   ',
                    ' A ',
                    ' B '
            ],
            {
                    A: 'create:brass_ingot',
                    B: 'minecraft:stripped_oak_log'
            }
    )
    event.shaped(
            Item.of('create:copper_casing'),
            [
                    '   ',
                    ' A ',
                    ' B '
            ],
            {
                    A: 'minecraft:copper_ingot',
                    B: 'minecraft:stripped_oak_log'
            }
    )
});
